> ## Documentation Index
> Fetch the complete documentation index at: https://docs.archeraffiliates.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign in and get an access token

> Exchange your Archer username and password for an access token.

Send the token on every subsequent request as an `Authorization` header: `Authorization: Bearer <your_access_token>`.

Your username and password come from signing up on the Archer platform.



## OpenAPI

````yaml /docs/api-reference/sellers-openapi.json post /token
openapi: 3.1.0
info:
  title: Archer Sellers API
  description: |2-

        API for Archer brand owners (sellers).

        Use these endpoints to see how your brand's products are selling on
        Amazon, and how much commission you're paying out.

        ## Authentication

        All endpoints require authentication using JWT Bearer tokens.

        ### How to authenticate:
        1. Use the `/token` endpoint to obtain an access token with your username and password.
        2. Click the "Authorize" button at the top right.
        3. Enter your token in the format: `Bearer <your_access_token>`.
        4. Click "Authorize" to apply the token to all requests.
        
  version: '2.0'
servers:
  - url: https://api.archeraffiliates.com/sellers
    description: Production
security: []
paths:
  /token:
    post:
      tags:
        - Auth
      summary: Sign in and get an access token
      description: >-
        Exchange your Archer username and password for an access token.


        Send the token on every subsequent request as an `Authorization` header:
        `Authorization: Bearer <your_access_token>`.


        Your username and password come from signing up on the Archer platform.
      operationId: login_for_access_token_token_post
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/Body_login_for_access_token_token_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Token'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_login_for_access_token_token_post:
      properties:
        grant_type:
          anyOf:
            - type: string
              pattern: ^password$
            - type: 'null'
          title: Grant Type
        username:
          type: string
          title: Username
        password:
          type: string
          format: password
          title: Password
        scope:
          type: string
          title: Scope
          default: ''
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        client_secret:
          anyOf:
            - type: string
            - type: 'null'
          format: password
          title: Client Secret
      type: object
      required:
        - username
        - password
      title: Body_login_for_access_token_token_post
    Token:
      properties:
        access_token:
          type: string
          title: Access Token
        token_type:
          type: string
          title: Token Type
      type: object
      required:
        - access_token
        - token_type
      title: Token
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````